{%- assign t = include.t -%}

<form
  role="search"
  method="get"
  action="{{ site.search.url | relative_url }}"
  data-controller="search"
  data-search-relative-url-value="{{ '/' | relative_url }}"
  data-search-template-value="{{ '/assets/templates/results.html' | relative_url }}"
  data-search-data-value="{{ '/data.json' | relative_url }}"
  data-search-index-value="{{ '/idx.json' | relative_url }}">

  <div class="d-flex flex-column flex-md-row justify-content-between align-items-start">
    <div>
      <div class="d-flex flex-column flex-md-row justify-content-between align-items-center">
        <div class="form-group mb-md-0 flex-grow-1 pr-md-2 w-100">
          <label id="label-s" class="sr-only" for="s">{{ t.search.label }}</label>
          <input type="text" class="form-control" name="s" id="s" placeholder="{{ t.search.placeholder }}" aria-labeledby="label-s" data-search-target="q" />
        </div>

        <div class="form-group mb-0 w-100">

          {%- capture filter_content -%}
            <small>{{ t.search.select }}</small>
          {%- endcapture -%}
          {%- include toggler_label.html id='filter' class='form-control mb-0' content=filter_content -%}
        </div>
      </div>

      {%- include toggler.html id='filter' -%}
      <ul class="toggled list-unstyled p-3 background-white mb-0">
        <li>
          <div class="custom-control custom-checkbox">
            <input class="custom-control-input" type="checkbox" id="searchlimit" name="searchlimit" data-action="search#all" data-name="cc_gs_sites[]" checked />
            <label class="custom-control-label" for="searchlimit">{{- t.search.all -}}</label>
          </div>
        </li>

        {% for layout in site.book_layouts -%}
          {% assign posts = site.posts | where: 'layout', layout %}
          {% if posts == empty %}{% continue %}{% endif %}

          {% for post in posts %}
            <li>
              <div class="custom-control custom-checkbox">
                <input
                  class="custom-control-input" 
                  data-action="search#some"
                  data-name="searchlimit"
                  type="checkbox"
                  name="cc_gs_sites[]"
                  id="searchsites-{{ post.slug }}"
                  value="{{ post.slug }}"
                  checked />
                <label class="custom-control-label" for="searchsites-{{ post.slug }}">
                  {{- site.title }}
                  {{ t[layout].modifier_included_in_site_title | default: t[layout].modifier_included_in_page_title }}
                  {{ post.title -}}
                </label>
              </div>
            </li>
          {% endfor %}
        {% endfor %}
      </ul>
    </div>

    <div>
      <button class="btn border-0 background-primary pl-0 pl-md-2" type="submit">
        <span class="h6 text-decoration-underline white font-weight-bold">{{ t.search.submit }}</span>
      </button>
    </div>
  </div>

  <div class="d-flex flex-column flex-md-row">
    <div class="py-2 pr-2">
      <div class="custom-control custom-checkbox">
        <input
          class="custom-control-input"
          type="radio"
          name="post_type"
          id="searchlimits-all"
          value="all"
          checked />
        <label
          class="custom-control-label"
          for="searchlimits-all">
          <span class="white">{{ t.search.everything }}</span>
        </label>
      </div>
    </div>

    <div class="py-2 pl-md-2 pr-2">
      <div class="custom-control custom-checkbox">
        <input
          class="custom-control-input"
          type="radio"
          name="post_type"
          id="searchlimits-essays"
          value="essay" />
        <label class="custom-control-label" for="searchlimits-essays">
          <span class="white">{{ t.search.essays }}</span>
        </label>
      </div>
    </div>
  </div>
</form>
